# Uses of Class
org.apache.lucene.search.IndexSearcher.LeafSlice

Packages that use IndexSearcher.LeafSlice
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of IndexSearcher.LeafSlice in org.apache.lucene.search

  Methods in org.apache.lucene.search that return IndexSearcher.LeafSlice
  Modifier and Type
  Method
  Description
  `final IndexSearcher.LeafSlice[]`
  IndexSearcher.`getSlices()`
  Returns the leaf slices used for concurrent searching.
  `protected IndexSearcher.LeafSlice[]`
  IndexSearcher.`slices(List<LeafReaderContext> leaves)`
  Expert: Creates an array of leaf slices each holding a subset of the given leaves.
  `static IndexSearcher.LeafSlice[]`
  IndexSearcher.`slices(List<LeafReaderContext> leaves, int maxDocsPerSlice, int maxSegmentsPerSlice, boolean allowSegmentPartitions)`
  Static method to segregate LeafReaderContexts amongst multiple slices.
  Constructors in org.apache.lucene.search with parameters of type IndexSearcher.LeafSlice
  Modifier
  Constructor
  Description
  ``
  `TotalHitCountCollectorManager(IndexSearcher.LeafSlice[] leafSlices)`
  Creates a new total hit count collector manager, providing the array of leaf slices that search targets, which can be retrieved via `IndexSearcher.getSlices()` for the searcher.